IOS AIR 3.6

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

IOS AIR 3.6

Oliver Wiemer
Hi,

did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?

I patched the sdk and normal AIR Desktop Apps will run perfect.

the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/

but it is not possible to build IOS Apps.

If i run the Build i become these error message:
AIR for Apple iOS Support in Flash Builder is not installed.
To enable packaging support for Apple iOS follow these instructions.


I followed these instructions, but it doesn't works.

I used the new ASC2 compiler, can these be the problem?


Greetings Olli



Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Alex Harui
If you are not using Flex, you may have to work with Adobe to address your
problem.  I assume you are using a Mac?


On 2/13/13 5:08 PM, "Oliver Wiemer" <[hidden email]> wrote:

> Hi,
>
> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
>
> I patched the sdk and normal AIR Desktop Apps will run perfect.
>
> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>
> but it is not possible to build IOS Apps.
>
> If i run the Build i become these error message:
> AIR for Apple iOS Support in Flash Builder is not installed.
> To enable packaging support for Apple iOS follow these instructions.
>
>
> I followed these instructions, but it doesn't works.
>
> I used the new ASC2 compiler, can these be the problem?
>
>
> Greetings Olli
>
>

--
Alex Harui
Flex SDK Team
Adobe Systems, Inc.
http://blogs.adobe.com/aharui


Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Oliver Wiemer
Yes you're right.
I use Mac.


But i have not the time to search for a solution.
I think, i switch back and wait.




Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:

>If you are not using Flex, you may have to work with Adobe to address your
>problem.  I assume you are using a Mac?
>
>
>On 2/13/13 5:08 PM, "Oliver Wiemer" <[hidden email]>
>wrote:
>
>> Hi,
>>
>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
>>
>> I patched the sdk and normal AIR Desktop Apps will run perfect.
>>
>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>>
>> but it is not possible to build IOS Apps.
>>
>> If i run the Build i become these error message:
>> AIR for Apple iOS Support in Flash Builder is not installed.
>> To enable packaging support for Apple iOS follow these instructions.
>>
>>
>> I followed these instructions, but it doesn't works.
>>
>> I used the new ASC2 compiler, can these be the problem?
>>
>>
>> Greetings Olli
>>
>>
>
>--
>Alex Harui
>Flex SDK Team
>Adobe Systems, Inc.
>http://blogs.adobe.com/aharui
>



Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Oliver Wiemer
http://www.adobe.com/devnet/air/air-sdk-download.html


Now i see it.
Note : Flex users will need to download the original AIR SDK without the
new compiler.



Where is the different?
Flash can use the new compiler, Flex not?????

i try it once more.




Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
<[hidden email]>:

>Yes you're right.
>I use Mac.
>
>
>But i have not the time to search for a solution.
>I think, i switch back and wait.
>
>
>
>
>Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
>
>>If you are not using Flex, you may have to work with Adobe to address
>>your
>>problem.  I assume you are using a Mac?
>>
>>
>>On 2/13/13 5:08 PM, "Oliver Wiemer" <[hidden email]>
>>wrote:
>>
>>> Hi,
>>>
>>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
>>>
>>> I patched the sdk and normal AIR Desktop Apps will run perfect.
>>>
>>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>>>
>>> but it is not possible to build IOS Apps.
>>>
>>> If i run the Build i become these error message:
>>> AIR for Apple iOS Support in Flash Builder is not installed.
>>> To enable packaging support for Apple iOS follow these instructions.
>>>
>>>
>>> I followed these instructions, but it doesn't works.
>>>
>>> I used the new ASC2 compiler, can these be the problem?
>>>
>>>
>>> Greetings Olli
>>>
>>>
>>
>>--
>>Alex Harui
>>Flex SDK Team
>>Adobe Systems, Inc.
>>http://blogs.adobe.com/aharui
>>
>
>



Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Elena Geller
Really, they warned, the new complier is not for Flex. I can't remember
although where i read it... but i read...


2013/2/14 Oliver Wiemer <[hidden email]>

> http://www.adobe.com/devnet/air/air-sdk-download.html
>
>
> Now i see it.
> Note : Flex users will need to download the original AIR SDK without the
> new compiler.
>
>
>
> Where is the different?
> Flash can use the new compiler, Flex not?????
>
> i try it once more.
>
>
>
>
> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
> <[hidden email]>:
>
> >Yes you're right.
> >I use Mac.
> >
> >
> >But i have not the time to search for a solution.
> >I think, i switch back and wait.
> >
> >
> >
> >
> >Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
> >
> >>If you are not using Flex, you may have to work with Adobe to address
> >>your
> >>problem.  I assume you are using a Mac?
> >>
> >>
> >>On 2/13/13 5:08 PM, "Oliver Wiemer" <[hidden email]>
> >>wrote:
> >>
> >>> Hi,
> >>>
> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
> >>>
> >>> I patched the sdk and normal AIR Desktop Apps will run perfect.
> >>>
> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
> >>>
> >>> but it is not possible to build IOS Apps.
> >>>
> >>> If i run the Build i become these error message:
> >>> AIR for Apple iOS Support in Flash Builder is not installed.
> >>> To enable packaging support for Apple iOS follow these instructions.
> >>>
> >>>
> >>> I followed these instructions, but it doesn't works.
> >>>
> >>> I used the new ASC2 compiler, can these be the problem?
> >>>
> >>>
> >>> Greetings Olli
> >>>
> >>>
> >>
> >>--
> >>Alex Harui
> >>Flex SDK Team
> >>Adobe Systems, Inc.
> >>http://blogs.adobe.com/aharui
> >>
> >
> >
>
>
>
Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Elena Geller
Interesting, if i change AIR version in XML... it have to be a version
without compiler... or not?


2013/2/14 Elena Geller <[hidden email]>

> Really, they warned, the new complier is not for Flex. I can't remember
> although where i read it... but i read...
>
>
> 2013/2/14 Oliver Wiemer <[hidden email]>
>
>> http://www.adobe.com/devnet/air/air-sdk-download.html
>>
>>
>> Now i see it.
>> Note : Flex users will need to download the original AIR SDK without the
>> new compiler.
>>
>>
>>
>> Where is the different?
>> Flash can use the new compiler, Flex not?????
>>
>> i try it once more.
>>
>>
>>
>>
>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
>> <[hidden email]>:
>>
>> >Yes you're right.
>> >I use Mac.
>> >
>> >
>> >But i have not the time to search for a solution.
>> >I think, i switch back and wait.
>> >
>> >
>> >
>> >
>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
>> >
>> >>If you are not using Flex, you may have to work with Adobe to address
>> >>your
>> >>problem.  I assume you are using a Mac?
>> >>
>> >>
>> >>On 2/13/13 5:08 PM, "Oliver Wiemer" <[hidden email]>
>> >>wrote:
>> >>
>> >>> Hi,
>> >>>
>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
>> >>>
>> >>> I patched the sdk and normal AIR Desktop Apps will run perfect.
>> >>>
>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>> >>>
>> >>> but it is not possible to build IOS Apps.
>> >>>
>> >>> If i run the Build i become these error message:
>> >>> AIR for Apple iOS Support in Flash Builder is not installed.
>> >>> To enable packaging support for Apple iOS follow these instructions.
>> >>>
>> >>>
>> >>> I followed these instructions, but it doesn't works.
>> >>>
>> >>> I used the new ASC2 compiler, can these be the problem?
>> >>>
>> >>>
>> >>> Greetings Olli
>> >>>
>> >>>
>> >>
>> >>--
>> >>Alex Harui
>> >>Flex SDK Team
>> >>Adobe Systems, Inc.
>> >>http://blogs.adobe.com/aharui
>> >>
>> >
>> >
>>
>>
>>
>
Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Oliver Wiemer
I'm very confused. Because compiling via command line works with ASC2.
I test again.




Am 14.02.13 10:07 schrieb "Elena Geller" unter <[hidden email]>:

>Interesting, if i change AIR version in XML... it have to be a version
>without compiler... or not?
>
>
>2013/2/14 Elena Geller <[hidden email]>
>
>> Really, they warned, the new complier is not for Flex. I can't remember
>> although where i read it... but i read...
>>
>>
>> 2013/2/14 Oliver Wiemer <[hidden email]>
>>
>>> http://www.adobe.com/devnet/air/air-sdk-download.html
>>>
>>>
>>> Now i see it.
>>> Note : Flex users will need to download the original AIR SDK without
>>>the
>>> new compiler.
>>>
>>>
>>>
>>> Where is the different?
>>> Flash can use the new compiler, Flex not?????
>>>
>>> i try it once more.
>>>
>>>
>>>
>>>
>>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
>>> <[hidden email]>:
>>>
>>> >Yes you're right.
>>> >I use Mac.
>>> >
>>> >
>>> >But i have not the time to search for a solution.
>>> >I think, i switch back and wait.
>>> >
>>> >
>>> >
>>> >
>>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
>>> >
>>> >>If you are not using Flex, you may have to work with Adobe to address
>>> >>your
>>> >>problem.  I assume you are using a Mac?
>>> >>
>>> >>
>>> >>On 2/13/13 5:08 PM, "Oliver Wiemer" <[hidden email]>
>>> >>wrote:
>>> >>
>>> >>> Hi,
>>> >>>
>>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
>>> >>>
>>> >>> I patched the sdk and normal AIR Desktop Apps will run perfect.
>>> >>>
>>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>>> >>>
>>> >>> but it is not possible to build IOS Apps.
>>> >>>
>>> >>> If i run the Build i become these error message:
>>> >>> AIR for Apple iOS Support in Flash Builder is not installed.
>>> >>> To enable packaging support for Apple iOS follow these
>>>instructions.
>>> >>>
>>> >>>
>>> >>> I followed these instructions, but it doesn't works.
>>> >>>
>>> >>> I used the new ASC2 compiler, can these be the problem?
>>> >>>
>>> >>>
>>> >>> Greetings Olli
>>> >>>
>>> >>>
>>> >>
>>> >>--
>>> >>Alex Harui
>>> >>Flex SDK Team
>>> >>Adobe Systems, Inc.
>>> >>http://blogs.adobe.com/aharui
>>> >>
>>> >
>>> >
>>>
>>>
>>>
>>



Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Simonas Pauliukevičius
ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.

On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
[hidden email]> wrote:

> I'm very confused. Because compiling via command line works with ASC2.
> I test again.
>
>
>
>
> Am 14.02.13 10:07 schrieb "Elena Geller" unter <[hidden email]>:
>
> >Interesting, if i change AIR version in XML... it have to be a version
> >without compiler... or not?
> >
> >
> >2013/2/14 Elena Geller <[hidden email]>
> >
> >> Really, they warned, the new complier is not for Flex. I can't remember
> >> although where i read it... but i read...
> >>
> >>
> >> 2013/2/14 Oliver Wiemer <[hidden email]>
> >>
> >>> http://www.adobe.com/devnet/air/air-sdk-download.html
> >>>
> >>>
> >>> Now i see it.
> >>> Note : Flex users will need to download the original AIR SDK without
> >>>the
> >>> new compiler.
> >>>
> >>>
> >>>
> >>> Where is the different?
> >>> Flash can use the new compiler, Flex not?????
> >>>
> >>> i try it once more.
> >>>
> >>>
> >>>
> >>>
> >>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
> >>> <[hidden email]>:
> >>>
> >>> >Yes you're right.
> >>> >I use Mac.
> >>> >
> >>> >
> >>> >But i have not the time to search for a solution.
> >>> >I think, i switch back and wait.
> >>> >
> >>> >
> >>> >
> >>> >
> >>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
> >>> >
> >>> >>If you are not using Flex, you may have to work with Adobe to address
> >>> >>your
> >>> >>problem.  I assume you are using a Mac?
> >>> >>
> >>> >>
> >>> >>On 2/13/13 5:08 PM, "Oliver Wiemer" <[hidden email]
> >
> >>> >>wrote:
> >>> >>
> >>> >>> Hi,
> >>> >>>
> >>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
> >>> >>>
> >>> >>> I patched the sdk and normal AIR Desktop Apps will run perfect.
> >>> >>>
> >>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
> >>> >>>
> >>> >>> but it is not possible to build IOS Apps.
> >>> >>>
> >>> >>> If i run the Build i become these error message:
> >>> >>> AIR for Apple iOS Support in Flash Builder is not installed.
> >>> >>> To enable packaging support for Apple iOS follow these
> >>>instructions.
> >>> >>>
> >>> >>>
> >>> >>> I followed these instructions, but it doesn't works.
> >>> >>>
> >>> >>> I used the new ASC2 compiler, can these be the problem?
> >>> >>>
> >>> >>>
> >>> >>> Greetings Olli
> >>> >>>
> >>> >>>
> >>> >>
> >>> >>--
> >>> >>Alex Harui
> >>> >>Flex SDK Team
> >>> >>Adobe Systems, Inc.
> >>> >>http://blogs.adobe.com/aharui
> >>> >>
> >>> >
> >>> >
> >>>
> >>>
> >>>
> >>
>
>
>


--
Simonas Pauliukevičius, PS-5
865477654
Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Oliver Wiemer
Oh thanks!

did't you know whether ASC2 for mxmlc still follow?
Or is it still better, to work in future with pure as3 projects?

regards Olli


Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
<[hidden email]>:

>ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
>
>On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
>[hidden email]> wrote:
>
>> I'm very confused. Because compiling via command line works with ASC2.
>> I test again.
>>
>>
>>
>>
>> Am 14.02.13 10:07 schrieb "Elena Geller" unter <[hidden email]>:
>>
>> >Interesting, if i change AIR version in XML... it have to be a version
>> >without compiler... or not?
>> >
>> >
>> >2013/2/14 Elena Geller <[hidden email]>
>> >
>> >> Really, they warned, the new complier is not for Flex. I can't
>>remember
>> >> although where i read it... but i read...
>> >>
>> >>
>> >> 2013/2/14 Oliver Wiemer <[hidden email]>
>> >>
>> >>> http://www.adobe.com/devnet/air/air-sdk-download.html
>> >>>
>> >>>
>> >>> Now i see it.
>> >>> Note : Flex users will need to download the original AIR SDK without
>> >>>the
>> >>> new compiler.
>> >>>
>> >>>
>> >>>
>> >>> Where is the different?
>> >>> Flash can use the new compiler, Flex not?????
>> >>>
>> >>> i try it once more.
>> >>>
>> >>>
>> >>>
>> >>>
>> >>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
>> >>> <[hidden email]>:
>> >>>
>> >>> >Yes you're right.
>> >>> >I use Mac.
>> >>> >
>> >>> >
>> >>> >But i have not the time to search for a solution.
>> >>> >I think, i switch back and wait.
>> >>> >
>> >>> >
>> >>> >
>> >>> >
>> >>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
>> >>> >
>> >>> >>If you are not using Flex, you may have to work with Adobe to
>>address
>> >>> >>your
>> >>> >>problem.  I assume you are using a Mac?
>> >>> >>
>> >>> >>
>> >>> >>On 2/13/13 5:08 PM, "Oliver Wiemer"
>><[hidden email]
>> >
>> >>> >>wrote:
>> >>> >>
>> >>> >>> Hi,
>> >>> >>>
>> >>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
>> >>> >>>
>> >>> >>> I patched the sdk and normal AIR Desktop Apps will run perfect.
>> >>> >>>
>> >>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>> >>> >>>
>> >>> >>> but it is not possible to build IOS Apps.
>> >>> >>>
>> >>> >>> If i run the Build i become these error message:
>> >>> >>> AIR for Apple iOS Support in Flash Builder is not installed.
>> >>> >>> To enable packaging support for Apple iOS follow these
>> >>>instructions.
>> >>> >>>
>> >>> >>>
>> >>> >>> I followed these instructions, but it doesn't works.
>> >>> >>>
>> >>> >>> I used the new ASC2 compiler, can these be the problem?
>> >>> >>>
>> >>> >>>
>> >>> >>> Greetings Olli
>> >>> >>>
>> >>> >>>
>> >>> >>
>> >>> >>--
>> >>> >>Alex Harui
>> >>> >>Flex SDK Team
>> >>> >>Adobe Systems, Inc.
>> >>> >>http://blogs.adobe.com/aharui
>> >>> >>
>> >>> >
>> >>> >
>> >>>
>> >>>
>> >>>
>> >>
>>
>>
>>
>
>
>--
>Simonas Pauliukevičius, PS-5
>865477654



Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Simonas Pauliukevičius
Well, Adobe donated their Falcon compiler with partial mxml support to
Apache and then released ASC 2.0 which is also based on Falcon. So it seems
that Adobe will only support Actionscript while Falcon with MXML support is
in hands of Flex developers.

On Thu, Feb 14, 2013 at 12:07 PM, Oliver Wiemer <
[hidden email]> wrote:

> Oh thanks!
>
> did't you know whether ASC2 for mxmlc still follow?
> Or is it still better, to work in future with pure as3 projects?
>
> regards Olli
>
>
> Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
> <[hidden email]>:
>
> >ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
> >
> >On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
> >[hidden email]> wrote:
> >
> >> I'm very confused. Because compiling via command line works with ASC2.
> >> I test again.
> >>
> >>
> >>
> >>
> >> Am 14.02.13 10:07 schrieb "Elena Geller" unter <[hidden email]
> >:
> >>
> >> >Interesting, if i change AIR version in XML... it have to be a version
> >> >without compiler... or not?
> >> >
> >> >
> >> >2013/2/14 Elena Geller <[hidden email]>
> >> >
> >> >> Really, they warned, the new complier is not for Flex. I can't
> >>remember
> >> >> although where i read it... but i read...
> >> >>
> >> >>
> >> >> 2013/2/14 Oliver Wiemer <[hidden email]>
> >> >>
> >> >>> http://www.adobe.com/devnet/air/air-sdk-download.html
> >> >>>
> >> >>>
> >> >>> Now i see it.
> >> >>> Note : Flex users will need to download the original AIR SDK without
> >> >>>the
> >> >>> new compiler.
> >> >>>
> >> >>>
> >> >>>
> >> >>> Where is the different?
> >> >>> Flash can use the new compiler, Flex not?????
> >> >>>
> >> >>> i try it once more.
> >> >>>
> >> >>>
> >> >>>
> >> >>>
> >> >>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
> >> >>> <[hidden email]>:
> >> >>>
> >> >>> >Yes you're right.
> >> >>> >I use Mac.
> >> >>> >
> >> >>> >
> >> >>> >But i have not the time to search for a solution.
> >> >>> >I think, i switch back and wait.
> >> >>> >
> >> >>> >
> >> >>> >
> >> >>> >
> >> >>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
> >> >>> >
> >> >>> >>If you are not using Flex, you may have to work with Adobe to
> >>address
> >> >>> >>your
> >> >>> >>problem.  I assume you are using a Mac?
> >> >>> >>
> >> >>> >>
> >> >>> >>On 2/13/13 5:08 PM, "Oliver Wiemer"
> >><[hidden email]
> >> >
> >> >>> >>wrote:
> >> >>> >>
> >> >>> >>> Hi,
> >> >>> >>>
> >> >>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR 3.6?
> >> >>> >>>
> >> >>> >>> I patched the sdk and normal AIR Desktop Apps will run perfect.
> >> >>> >>>
> >> >>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
> >> >>> >>>
> >> >>> >>> but it is not possible to build IOS Apps.
> >> >>> >>>
> >> >>> >>> If i run the Build i become these error message:
> >> >>> >>> AIR for Apple iOS Support in Flash Builder is not installed.
> >> >>> >>> To enable packaging support for Apple iOS follow these
> >> >>>instructions.
> >> >>> >>>
> >> >>> >>>
> >> >>> >>> I followed these instructions, but it doesn't works.
> >> >>> >>>
> >> >>> >>> I used the new ASC2 compiler, can these be the problem?
> >> >>> >>>
> >> >>> >>>
> >> >>> >>> Greetings Olli
> >> >>> >>>
> >> >>> >>>
> >> >>> >>
> >> >>> >>--
> >> >>> >>Alex Harui
> >> >>> >>Flex SDK Team
> >> >>> >>Adobe Systems, Inc.
> >> >>> >>http://blogs.adobe.com/aharui
> >> >>> >>
> >> >>> >
> >> >>> >
> >> >>>
> >> >>>
> >> >>>
> >> >>
> >>
> >>
> >>
> >
> >
> >--
> >Simonas Pauliukevičius, PS-5
> >865477654
>
>
>


--
Simonas Pauliukevičius, PS-5
865477654
Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Oliver Wiemer
So,
i didn't the exact issues of ASC2. But i think there bring the
needed performance to mobile Apps.



Am 14.02.13 11:23 schrieb "Simonas Pauliukevičius" unter
<[hidden email]>:

>Well, Adobe donated their Falcon compiler with partial mxml support to
>Apache and then released ASC 2.0 which is also based on Falcon. So it
>seems
>that Adobe will only support Actionscript while Falcon with MXML support
>is
>in hands of Flex developers.
>
>On Thu, Feb 14, 2013 at 12:07 PM, Oliver Wiemer <
>[hidden email]> wrote:
>
>> Oh thanks!
>>
>> did't you know whether ASC2 for mxmlc still follow?
>> Or is it still better, to work in future with pure as3 projects?
>>
>> regards Olli
>>
>>
>> Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
>> <[hidden email]>:
>>
>> >ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
>> >
>> >On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
>> >[hidden email]> wrote:
>> >
>> >> I'm very confused. Because compiling via command line works with
>>ASC2.
>> >> I test again.
>> >>
>> >>
>> >>
>> >>
>> >> Am 14.02.13 10:07 schrieb "Elena Geller" unter
>><[hidden email]
>> >:
>> >>
>> >> >Interesting, if i change AIR version in XML... it have to be a
>>version
>> >> >without compiler... or not?
>> >> >
>> >> >
>> >> >2013/2/14 Elena Geller <[hidden email]>
>> >> >
>> >> >> Really, they warned, the new complier is not for Flex. I can't
>> >>remember
>> >> >> although where i read it... but i read...
>> >> >>
>> >> >>
>> >> >> 2013/2/14 Oliver Wiemer <[hidden email]>
>> >> >>
>> >> >>> http://www.adobe.com/devnet/air/air-sdk-download.html
>> >> >>>
>> >> >>>
>> >> >>> Now i see it.
>> >> >>> Note : Flex users will need to download the original AIR SDK
>>without
>> >> >>>the
>> >> >>> new compiler.
>> >> >>>
>> >> >>>
>> >> >>>
>> >> >>> Where is the different?
>> >> >>> Flash can use the new compiler, Flex not?????
>> >> >>>
>> >> >>> i try it once more.
>> >> >>>
>> >> >>>
>> >> >>>
>> >> >>>
>> >> >>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
>> >> >>> <[hidden email]>:
>> >> >>>
>> >> >>> >Yes you're right.
>> >> >>> >I use Mac.
>> >> >>> >
>> >> >>> >
>> >> >>> >But i have not the time to search for a solution.
>> >> >>> >I think, i switch back and wait.
>> >> >>> >
>> >> >>> >
>> >> >>> >
>> >> >>> >
>> >> >>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter <[hidden email]>:
>> >> >>> >
>> >> >>> >>If you are not using Flex, you may have to work with Adobe to
>> >>address
>> >> >>> >>your
>> >> >>> >>problem.  I assume you are using a Mac?
>> >> >>> >>
>> >> >>> >>
>> >> >>> >>On 2/13/13 5:08 PM, "Oliver Wiemer"
>> >><[hidden email]
>> >> >
>> >> >>> >>wrote:
>> >> >>> >>
>> >> >>> >>> Hi,
>> >> >>> >>>
>> >> >>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR
>>3.6?
>> >> >>> >>>
>> >> >>> >>> I patched the sdk and normal AIR Desktop Apps will run
>>perfect.
>> >> >>> >>>
>> >> >>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>> >> >>> >>>
>> >> >>> >>> but it is not possible to build IOS Apps.
>> >> >>> >>>
>> >> >>> >>> If i run the Build i become these error message:
>> >> >>> >>> AIR for Apple iOS Support in Flash Builder is not installed.
>> >> >>> >>> To enable packaging support for Apple iOS follow these
>> >> >>>instructions.
>> >> >>> >>>
>> >> >>> >>>
>> >> >>> >>> I followed these instructions, but it doesn't works.
>> >> >>> >>>
>> >> >>> >>> I used the new ASC2 compiler, can these be the problem?
>> >> >>> >>>
>> >> >>> >>>
>> >> >>> >>> Greetings Olli
>> >> >>> >>>
>> >> >>> >>>
>> >> >>> >>
>> >> >>> >>--
>> >> >>> >>Alex Harui
>> >> >>> >>Flex SDK Team
>> >> >>> >>Adobe Systems, Inc.
>> >> >>> >>http://blogs.adobe.com/aharui
>> >> >>> >>
>> >> >>> >
>> >> >>> >
>> >> >>>
>> >> >>>
>> >> >>>
>> >> >>
>> >>
>> >>
>> >>
>> >
>> >
>> >--
>> >Simonas Pauliukevičius, PS-5
>> >865477654
>>
>>
>>
>
>
>--
>Simonas Pauliukevičius, PS-5
>865477654



Reply | Threaded
Open this post in threaded view
|

RE: IOS AIR 3.6

Alex Harui
ASC2.0 is a faster compiler, but I don't believe it produces significantly faster SWFs.  There was work on a new VM/Language/Compiler that was supposed to result in much faster SWFs but that work was recently cancelled.

Apache Flex has pretty much all of the ASC2.0 code in the Falcon branch and we are adding MXML support and getting it ready to replace the legacy MXMLC compiler.  Adobe will not be adding MXML support to ASC2.0.

Alex Harui
Apache Flex Team
http://blogs.adobe.com/aharui


> -----Original Message-----
> From: Oliver Wiemer [mailto:[hidden email]]
> Sent: Thursday, February 14, 2013 2:40 AM
> To: [hidden email]
> Subject: Re: IOS AIR 3.6
>
> So,
> i didn't the exact issues of ASC2. But i think there bring the needed
> performance to mobile Apps.
>
>
>
> Am 14.02.13 11:23 schrieb "Simonas Pauliukevičius" unter
> <[hidden email]>:
>
> >Well, Adobe donated their Falcon compiler with partial mxml support to
> >Apache and then released ASC 2.0 which is also based on Falcon. So it
> >seems
> >that Adobe will only support Actionscript while Falcon with MXML support
> >is
> >in hands of Flex developers.
> >
> >On Thu, Feb 14, 2013 at 12:07 PM, Oliver Wiemer <
> >[hidden email]> wrote:
> >
> >> Oh thanks!
> >>
> >> did't you know whether ASC2 for mxmlc still follow?
> >> Or is it still better, to work in future with pure as3 projects?
> >>
> >> regards Olli
> >>
> >>
> >> Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
> >> <[hidden email]>:
> >>
> >> >ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
> >> >
> >> >On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
> >> >[hidden email]> wrote:
> >> >
> >> >> I'm very confused. Because compiling via command line works with
> >>ASC2.
> >> >> I test again.
> >> >>
> >> >>
> >> >>
> >> >>
> >> >> Am 14.02.13 10:07 schrieb "Elena Geller" unter
> >><[hidden email]
> >> >:
> >> >>
> >> >> >Interesting, if i change AIR version in XML... it have to be a
> >>version
> >> >> >without compiler... or not?
> >> >> >
> >> >> >
> >> >> >2013/2/14 Elena Geller <[hidden email]>
> >> >> >
> >> >> >> Really, they warned, the new complier is not for Flex. I can't
> >> >>remember
> >> >> >> although where i read it... but i read...
> >> >> >>
> >> >> >>
> >> >> >> 2013/2/14 Oliver Wiemer <[hidden email]>
> >> >> >>
> >> >> >>> http://www.adobe.com/devnet/air/air-sdk-download.html
> >> >> >>>
> >> >> >>>
> >> >> >>> Now i see it.
> >> >> >>> Note : Flex users will need to download the original AIR SDK
> >>without
> >> >> >>>the
> >> >> >>> new compiler.
> >> >> >>>
> >> >> >>>
> >> >> >>>
> >> >> >>> Where is the different?
> >> >> >>> Flash can use the new compiler, Flex not?????
> >> >> >>>
> >> >> >>> i try it once more.
> >> >> >>>
> >> >> >>>
> >> >> >>>
> >> >> >>>
> >> >> >>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
> >> >> >>> <[hidden email]>:
> >> >> >>>
> >> >> >>> >Yes you're right.
> >> >> >>> >I use Mac.
> >> >> >>> >
> >> >> >>> >
> >> >> >>> >But i have not the time to search for a solution.
> >> >> >>> >I think, i switch back and wait.
> >> >> >>> >
> >> >> >>> >
> >> >> >>> >
> >> >> >>> >
> >> >> >>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter
> <[hidden email]>:
> >> >> >>> >
> >> >> >>> >>If you are not using Flex, you may have to work with Adobe to
> >> >>address
> >> >> >>> >>your
> >> >> >>> >>problem.  I assume you are using a Mac?
> >> >> >>> >>
> >> >> >>> >>
> >> >> >>> >>On 2/13/13 5:08 PM, "Oliver Wiemer"
> >> >><[hidden email]
> >> >> >
> >> >> >>> >>wrote:
> >> >> >>> >>
> >> >> >>> >>> Hi,
> >> >> >>> >>>
> >> >> >>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR
> >>3.6?
> >> >> >>> >>>
> >> >> >>> >>> I patched the sdk and normal AIR Desktop Apps will run
> >>perfect.
> >> >> >>> >>>
> >> >> >>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
> >> >> >>> >>>
> >> >> >>> >>> but it is not possible to build IOS Apps.
> >> >> >>> >>>
> >> >> >>> >>> If i run the Build i become these error message:
> >> >> >>> >>> AIR for Apple iOS Support in Flash Builder is not installed.
> >> >> >>> >>> To enable packaging support for Apple iOS follow these
> >> >> >>>instructions.
> >> >> >>> >>>
> >> >> >>> >>>
> >> >> >>> >>> I followed these instructions, but it doesn't works.
> >> >> >>> >>>
> >> >> >>> >>> I used the new ASC2 compiler, can these be the problem?
> >> >> >>> >>>
> >> >> >>> >>>
> >> >> >>> >>> Greetings Olli
> >> >> >>> >>>
> >> >> >>> >>>
> >> >> >>> >>
> >> >> >>> >>--
> >> >> >>> >>Alex Harui
> >> >> >>> >>Flex SDK Team
> >> >> >>> >>Adobe Systems, Inc.
> >> >> >>> >>http://blogs.adobe.com/aharui
> >> >> >>> >>
> >> >> >>> >
> >> >> >>> >
> >> >> >>>
> >> >> >>>
> >> >> >>>
> >> >> >>
> >> >>
> >> >>
> >> >>
> >> >
> >> >
> >> >--
> >> >Simonas Pauliukevičius, PS-5
> >> >865477654
> >>
> >>
> >>
> >
> >
> >--
> >Simonas Pauliukevičius, PS-5
> >865477654
>


Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Oliver Wiemer
Wow. Great Message Alex.

I have an new cross platform project.
So, i'm search for the best way.

What do you think?
The best way at these moment is using starling?
Or what is your prefered way?
 

Am 14.02.13 18:10 schrieb "Alex Harui" unter <[hidden email]>:

>ASC2.0 is a faster compiler, but I don't believe it produces
>significantly faster SWFs.  There was work on a new VM/Language/Compiler
>that was supposed to result in much faster SWFs but that work was
>recently cancelled.
>
>Apache Flex has pretty much all of the ASC2.0 code in the Falcon branch
>and we are adding MXML support and getting it ready to replace the legacy
>MXMLC compiler.  Adobe will not be adding MXML support to ASC2.0.
>
>Alex Harui
>Apache Flex Team
>http://blogs.adobe.com/aharui
>
>
>> -----Original Message-----
>> From: Oliver Wiemer [mailto:[hidden email]]
>> Sent: Thursday, February 14, 2013 2:40 AM
>> To: [hidden email]
>> Subject: Re: IOS AIR 3.6
>>
>> So,
>> i didn't the exact issues of ASC2. But i think there bring the needed
>> performance to mobile Apps.
>>
>>
>>
>> Am 14.02.13 11:23 schrieb "Simonas Pauliukevičius" unter
>> <[hidden email]>:
>>
>> >Well, Adobe donated their Falcon compiler with partial mxml support to
>> >Apache and then released ASC 2.0 which is also based on Falcon. So it
>> >seems
>> >that Adobe will only support Actionscript while Falcon with MXML
>>support
>> >is
>> >in hands of Flex developers.
>> >
>> >On Thu, Feb 14, 2013 at 12:07 PM, Oliver Wiemer <
>> >[hidden email]> wrote:
>> >
>> >> Oh thanks!
>> >>
>> >> did't you know whether ASC2 for mxmlc still follow?
>> >> Or is it still better, to work in future with pure as3 projects?
>> >>
>> >> regards Olli
>> >>
>> >>
>> >> Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
>> >> <[hidden email]>:
>> >>
>> >> >ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
>> >> >
>> >> >On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
>> >> >[hidden email]> wrote:
>> >> >
>> >> >> I'm very confused. Because compiling via command line works with
>> >>ASC2.
>> >> >> I test again.
>> >> >>
>> >> >>
>> >> >>
>> >> >>
>> >> >> Am 14.02.13 10:07 schrieb "Elena Geller" unter
>> >><[hidden email]
>> >> >:
>> >> >>
>> >> >> >Interesting, if i change AIR version in XML... it have to be a
>> >>version
>> >> >> >without compiler... or not?
>> >> >> >
>> >> >> >
>> >> >> >2013/2/14 Elena Geller <[hidden email]>
>> >> >> >
>> >> >> >> Really, they warned, the new complier is not for Flex. I can't
>> >> >>remember
>> >> >> >> although where i read it... but i read...
>> >> >> >>
>> >> >> >>
>> >> >> >> 2013/2/14 Oliver Wiemer <[hidden email]>
>> >> >> >>
>> >> >> >>> http://www.adobe.com/devnet/air/air-sdk-download.html
>> >> >> >>>
>> >> >> >>>
>> >> >> >>> Now i see it.
>> >> >> >>> Note : Flex users will need to download the original AIR SDK
>> >>without
>> >> >> >>>the
>> >> >> >>> new compiler.
>> >> >> >>>
>> >> >> >>>
>> >> >> >>>
>> >> >> >>> Where is the different?
>> >> >> >>> Flash can use the new compiler, Flex not?????
>> >> >> >>>
>> >> >> >>> i try it once more.
>> >> >> >>>
>> >> >> >>>
>> >> >> >>>
>> >> >> >>>
>> >> >> >>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
>> >> >> >>> <[hidden email]>:
>> >> >> >>>
>> >> >> >>> >Yes you're right.
>> >> >> >>> >I use Mac.
>> >> >> >>> >
>> >> >> >>> >
>> >> >> >>> >But i have not the time to search for a solution.
>> >> >> >>> >I think, i switch back and wait.
>> >> >> >>> >
>> >> >> >>> >
>> >> >> >>> >
>> >> >> >>> >
>> >> >> >>> >Am 14.02.13 05:40 schrieb "Alex Harui" unter
>> <[hidden email]>:
>> >> >> >>> >
>> >> >> >>> >>If you are not using Flex, you may have to work with Adobe
>>to
>> >> >>address
>> >> >> >>> >>your
>> >> >> >>> >>problem.  I assume you are using a Mac?
>> >> >> >>> >>
>> >> >> >>> >>
>> >> >> >>> >>On 2/13/13 5:08 PM, "Oliver Wiemer"
>> >> >><[hidden email]
>> >> >> >
>> >> >> >>> >>wrote:
>> >> >> >>> >>
>> >> >> >>> >>> Hi,
>> >> >> >>> >>>
>> >> >> >>> >>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR
>> >>3.6?
>> >> >> >>> >>>
>> >> >> >>> >>> I patched the sdk and normal AIR Desktop Apps will run
>> >>perfect.
>> >> >> >>> >>>
>> >> >> >>> >>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>> >> >> >>> >>>
>> >> >> >>> >>> but it is not possible to build IOS Apps.
>> >> >> >>> >>>
>> >> >> >>> >>> If i run the Build i become these error message:
>> >> >> >>> >>> AIR for Apple iOS Support in Flash Builder is not
>>installed.
>> >> >> >>> >>> To enable packaging support for Apple iOS follow these
>> >> >> >>>instructions.
>> >> >> >>> >>>
>> >> >> >>> >>>
>> >> >> >>> >>> I followed these instructions, but it doesn't works.
>> >> >> >>> >>>
>> >> >> >>> >>> I used the new ASC2 compiler, can these be the problem?
>> >> >> >>> >>>
>> >> >> >>> >>>
>> >> >> >>> >>> Greetings Olli
>> >> >> >>> >>>
>> >> >> >>> >>>
>> >> >> >>> >>
>> >> >> >>> >>--
>> >> >> >>> >>Alex Harui
>> >> >> >>> >>Flex SDK Team
>> >> >> >>> >>Adobe Systems, Inc.
>> >> >> >>> >>http://blogs.adobe.com/aharui
>> >> >> >>> >>
>> >> >> >>> >
>> >> >> >>> >
>> >> >> >>>
>> >> >> >>>
>> >> >> >>>
>> >> >> >>
>> >> >>
>> >> >>
>> >> >>
>> >> >
>> >> >
>> >> >--
>> >> >Simonas Pauliukevičius, PS-5
>> >> >865477654
>> >>
>> >>
>> >>
>> >
>> >
>> >--
>> >Simonas Pauliukevičius, PS-5
>> >865477654
>>
>



Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Alex Harui
IMO, It depends on where it needs to run and how much it needs to integrate
with where it is running.

If you use Starling, you don't get accessibility.
If you use Flex, and need a mobile output your download will be big.
If you use AS3, your mobile download won't be quite as big.
If you use PhoneGap/Cordova you won't be working in AS, at least for now.


On 2/14/13 11:41 PM, "Oliver Wiemer" <[hidden email]>
wrote:

> Wow. Great Message Alex.
>
> I have an new cross platform project.
> So, i'm search for the best way.
>
> What do you think?
> The best way at these moment is using starling?
> Or what is your prefered way?
>  
>
> Am 14.02.13 18:10 schrieb "Alex Harui" unter <[hidden email]>:
>
>> ASC2.0 is a faster compiler, but I don't believe it produces
>> significantly faster SWFs.  There was work on a new VM/Language/Compiler
>> that was supposed to result in much faster SWFs but that work was
>> recently cancelled.
>>
>> Apache Flex has pretty much all of the ASC2.0 code in the Falcon branch
>> and we are adding MXML support and getting it ready to replace the legacy
>> MXMLC compiler.  Adobe will not be adding MXML support to ASC2.0.
>>
>> Alex Harui
>> Apache Flex Team
>> http://blogs.adobe.com/aharui
>>
>>
>>> -----Original Message-----
>>> From: Oliver Wiemer [mailto:[hidden email]]
>>> Sent: Thursday, February 14, 2013 2:40 AM
>>> To: [hidden email]
>>> Subject: Re: IOS AIR 3.6
>>>
>>> So,
>>> i didn't the exact issues of ASC2. But i think there bring the needed
>>> performance to mobile Apps.
>>>
>>>
>>>
>>> Am 14.02.13 11:23 schrieb "Simonas Pauliukevičius" unter
>>> <[hidden email]>:
>>>
>>>> Well, Adobe donated their Falcon compiler with partial mxml support to
>>>> Apache and then released ASC 2.0 which is also based on Falcon. So it
>>>> seems
>>>> that Adobe will only support Actionscript while Falcon with MXML
>>> support
>>>> is
>>>> in hands of Flex developers.
>>>>
>>>> On Thu, Feb 14, 2013 at 12:07 PM, Oliver Wiemer <
>>>> [hidden email]> wrote:
>>>>
>>>>> Oh thanks!
>>>>>
>>>>> did't you know whether ASC2 for mxmlc still follow?
>>>>> Or is it still better, to work in future with pure as3 projects?
>>>>>
>>>>> regards Olli
>>>>>
>>>>>
>>>>> Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
>>>>> <[hidden email]>:
>>>>>
>>>>>> ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
>>>>>>
>>>>>> On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
>>>>>> [hidden email]> wrote:
>>>>>>
>>>>>>> I'm very confused. Because compiling via command line works with
>>>>> ASC2.
>>>>>>> I test again.
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> Am 14.02.13 10:07 schrieb "Elena Geller" unter
>>>>> <[hidden email]
>>>>>> :
>>>>>>>
>>>>>>>> Interesting, if i change AIR version in XML... it have to be a
>>>>> version
>>>>>>>> without compiler... or not?
>>>>>>>>
>>>>>>>>
>>>>>>>> 2013/2/14 Elena Geller <[hidden email]>
>>>>>>>>
>>>>>>>>> Really, they warned, the new complier is not for Flex. I can't
>>>>>>> remember
>>>>>>>>> although where i read it... but i read...
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> 2013/2/14 Oliver Wiemer <[hidden email]>
>>>>>>>>>
>>>>>>>>>> http://www.adobe.com/devnet/air/air-sdk-download.html
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Now i see it.
>>>>>>>>>> Note : Flex users will need to download the original AIR SDK
>>>>> without
>>>>>>>>>> the
>>>>>>>>>> new compiler.
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Where is the different?
>>>>>>>>>> Flash can use the new compiler, Flex not?????
>>>>>>>>>>
>>>>>>>>>> i try it once more.
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
>>>>>>>>>> <[hidden email]>:
>>>>>>>>>>
>>>>>>>>>>> Yes you're right.
>>>>>>>>>>> I use Mac.
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> But i have not the time to search for a solution.
>>>>>>>>>>> I think, i switch back and wait.
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> Am 14.02.13 05:40 schrieb "Alex Harui" unter
>>> <[hidden email]>:
>>>>>>>>>>>
>>>>>>>>>>>> If you are not using Flex, you may have to work with Adobe
>>> to
>>>>>>> address
>>>>>>>>>>>> your
>>>>>>>>>>>> problem.  I assume you are using a Mac?
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> On 2/13/13 5:08 PM, "Oliver Wiemer"
>>>>>>> <[hidden email]
>>>>>>>>
>>>>>>>>>>>> wrote:
>>>>>>>>>>>>
>>>>>>>>>>>> Hi,
>>>>>>>>>>>>
>>>>>>>>>>>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR
>>>>> 3.6?
>>>>>>>>>>>>
>>>>>>>>>>>> I patched the sdk and normal AIR Desktop Apps will run
>>>>> perfect.
>>>>>>>>>>>>
>>>>>>>>>>>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
>>>>>>>>>>>>
>>>>>>>>>>>> but it is not possible to build IOS Apps.
>>>>>>>>>>>>
>>>>>>>>>>>> If i run the Build i become these error message:
>>>>>>>>>>>> AIR for Apple iOS Support in Flash Builder is not
>>> installed.
>>>>>>>>>>>> To enable packaging support for Apple iOS follow these
>>>>>>>>>> instructions.
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> I followed these instructions, but it doesn't works.
>>>>>>>>>>>>
>>>>>>>>>>>> I used the new ASC2 compiler, can these be the problem?
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> Greetings Olli
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> --
>>>>>>>>>>>> Alex Harui
>>>>>>>>>>>> Flex SDK Team
>>>>>>>>>>>> Adobe Systems, Inc.
>>>>>>>>>>>> http://blogs.adobe.com/aharui
>>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>
>>>>>>
>>>>>> --
>>>>>> Simonas Pauliukevičius, PS-5
>>>>>> 865477654
>>>>>
>>>>>
>>>>>
>>>>
>>>>
>>>> --
>>>> Simonas Pauliukevičius, PS-5
>>>> 865477654
>>>
>>
>
>

--
Alex Harui
Flex SDK Team
Adobe Systems, Inc.
http://blogs.adobe.com/aharui


Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Angelo Lazzari
Sorry for my ignorance, but, Alex, what do you mean by "you don't get
accessibility"?... i'm almost convinced to develop my next project in
starling, so i'd like to warned about "limitations" like what you just
wrote sounds.

Thanks
Angelo

On Sat, Feb 16, 2013 at 7:47 AM, Alex Harui <[hidden email]> wrote:

> IMO, It depends on where it needs to run and how much it needs to integrate
> with where it is running.
>
> If you use Starling, you don't get accessibility.
> If you use Flex, and need a mobile output your download will be big.
> If you use AS3, your mobile download won't be quite as big.
> If you use PhoneGap/Cordova you won't be working in AS, at least for now.
>
>
> On 2/14/13 11:41 PM, "Oliver Wiemer" <[hidden email]>
> wrote:
>
> > Wow. Great Message Alex.
> >
> > I have an new cross platform project.
> > So, i'm search for the best way.
> >
> > What do you think?
> > The best way at these moment is using starling?
> > Or what is your prefered way?
> >
> >
> > Am 14.02.13 18:10 schrieb "Alex Harui" unter <[hidden email]>:
> >
> >> ASC2.0 is a faster compiler, but I don't believe it produces
> >> significantly faster SWFs.  There was work on a new VM/Language/Compiler
> >> that was supposed to result in much faster SWFs but that work was
> >> recently cancelled.
> >>
> >> Apache Flex has pretty much all of the ASC2.0 code in the Falcon branch
> >> and we are adding MXML support and getting it ready to replace the
> legacy
> >> MXMLC compiler.  Adobe will not be adding MXML support to ASC2.0.
> >>
> >> Alex Harui
> >> Apache Flex Team
> >> http://blogs.adobe.com/aharui
> >>
> >>
> >>> -----Original Message-----
> >>> From: Oliver Wiemer [mailto:[hidden email]]
> >>> Sent: Thursday, February 14, 2013 2:40 AM
> >>> To: [hidden email]
> >>> Subject: Re: IOS AIR 3.6
> >>>
> >>> So,
> >>> i didn't the exact issues of ASC2. But i think there bring the needed
> >>> performance to mobile Apps.
> >>>
> >>>
> >>>
> >>> Am 14.02.13 11:23 schrieb "Simonas Pauliukevičius" unter
> >>> <[hidden email]>:
> >>>
> >>>> Well, Adobe donated their Falcon compiler with partial mxml support to
> >>>> Apache and then released ASC 2.0 which is also based on Falcon. So it
> >>>> seems
> >>>> that Adobe will only support Actionscript while Falcon with MXML
> >>> support
> >>>> is
> >>>> in hands of Flex developers.
> >>>>
> >>>> On Thu, Feb 14, 2013 at 12:07 PM, Oliver Wiemer <
> >>>> [hidden email]> wrote:
> >>>>
> >>>>> Oh thanks!
> >>>>>
> >>>>> did't you know whether ASC2 for mxmlc still follow?
> >>>>> Or is it still better, to work in future with pure as3 projects?
> >>>>>
> >>>>> regards Olli
> >>>>>
> >>>>>
> >>>>> Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
> >>>>> <[hidden email]>:
> >>>>>
> >>>>>> ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
> >>>>>>
> >>>>>> On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
> >>>>>> [hidden email]> wrote:
> >>>>>>
> >>>>>>> I'm very confused. Because compiling via command line works with
> >>>>> ASC2.
> >>>>>>> I test again.
> >>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>> Am 14.02.13 10:07 schrieb "Elena Geller" unter
> >>>>> <[hidden email]
> >>>>>> :
> >>>>>>>
> >>>>>>>> Interesting, if i change AIR version in XML... it have to be a
> >>>>> version
> >>>>>>>> without compiler... or not?
> >>>>>>>>
> >>>>>>>>
> >>>>>>>> 2013/2/14 Elena Geller <[hidden email]>
> >>>>>>>>
> >>>>>>>>> Really, they warned, the new complier is not for Flex. I can't
> >>>>>>> remember
> >>>>>>>>> although where i read it... but i read...
> >>>>>>>>>
> >>>>>>>>>
> >>>>>>>>> 2013/2/14 Oliver Wiemer <[hidden email]>
> >>>>>>>>>
> >>>>>>>>>> http://www.adobe.com/devnet/air/air-sdk-download.html
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> Now i see it.
> >>>>>>>>>> Note : Flex users will need to download the original AIR SDK
> >>>>> without
> >>>>>>>>>> the
> >>>>>>>>>> new compiler.
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> Where is the different?
> >>>>>>>>>> Flash can use the new compiler, Flex not?????
> >>>>>>>>>>
> >>>>>>>>>> i try it once more.
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
> >>>>>>>>>> <[hidden email]>:
> >>>>>>>>>>
> >>>>>>>>>>> Yes you're right.
> >>>>>>>>>>> I use Mac.
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>> But i have not the time to search for a solution.
> >>>>>>>>>>> I think, i switch back and wait.
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>> Am 14.02.13 05:40 schrieb "Alex Harui" unter
> >>> <[hidden email]>:
> >>>>>>>>>>>
> >>>>>>>>>>>> If you are not using Flex, you may have to work with Adobe
> >>> to
> >>>>>>> address
> >>>>>>>>>>>> your
> >>>>>>>>>>>> problem.  I assume you are using a Mac?
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> On 2/13/13 5:08 PM, "Oliver Wiemer"
> >>>>>>> <[hidden email]
> >>>>>>>>
> >>>>>>>>>>>> wrote:
> >>>>>>>>>>>>
> >>>>>>>>>>>> Hi,
> >>>>>>>>>>>>
> >>>>>>>>>>>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR
> >>>>> 3.6?
> >>>>>>>>>>>>
> >>>>>>>>>>>> I patched the sdk and normal AIR Desktop Apps will run
> >>>>> perfect.
> >>>>>>>>>>>>
> >>>>>>>>>>>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
> >>>>>>>>>>>>
> >>>>>>>>>>>> but it is not possible to build IOS Apps.
> >>>>>>>>>>>>
> >>>>>>>>>>>> If i run the Build i become these error message:
> >>>>>>>>>>>> AIR for Apple iOS Support in Flash Builder is not
> >>> installed.
> >>>>>>>>>>>> To enable packaging support for Apple iOS follow these
> >>>>>>>>>> instructions.
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> I followed these instructions, but it doesn't works.
> >>>>>>>>>>>>
> >>>>>>>>>>>> I used the new ASC2 compiler, can these be the problem?
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> Greetings Olli
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> --
> >>>>>>>>>>>> Alex Harui
> >>>>>>>>>>>> Flex SDK Team
> >>>>>>>>>>>> Adobe Systems, Inc.
> >>>>>>>>>>>> http://blogs.adobe.com/aharui
> >>>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>
> >>>>>>
> >>>>>> --
> >>>>>> Simonas Pauliukevičius, PS-5
> >>>>>> 865477654
> >>>>>
> >>>>>
> >>>>>
> >>>>
> >>>>
> >>>> --
> >>>> Simonas Pauliukevičius, PS-5
> >>>> 865477654
> >>>
> >>
> >
> >
>
> --
> Alex Harui
> Flex SDK Team
> Adobe Systems, Inc.
> http://blogs.adobe.com/aharui
>
>


--
Angelo Lazzari
mobile: 0039 347 0090 452
mail: [hidden email]


----------------------------
Verificate la corrispondenza del destinatario; in caso contrario vogliate
notificare ciò al mittente e, consci della responsabilita'per l'uso
indebito, cancellare il messaggio e sue copie / Verify the correspondence
of the addressee; otherwise, notify that to the sender and, conscious of
the responsibility for the undue use, destroy the message and its copies.
----------------------------
Reply | Threaded
Open this post in threaded view
|

Re: IOS AIR 3.6

Alex Harui
In reply to this post by Oliver Wiemer
Last time I looked stage 3d didn't support focus and accessibility properties.




Sent via the PANTECH Discover, an AT&T 4G LTE smartphone.

Angelo Lazzari <[hidden email]> wrote:


Sorry for my ignorance, but, Alex, what do you mean by "you don't get
accessibility"?... i'm almost convinced to develop my next project in
starling, so i'd like to warned about "limitations" like what you just
wrote sounds.

Thanks
Angelo

On Sat, Feb 16, 2013 at 7:47 AM, Alex Harui <[hidden email]> wrote:

> IMO, It depends on where it needs to run and how much it needs to integrate
> with where it is running.
>
> If you use Starling, you don't get accessibility.
> If you use Flex, and need a mobile output your download will be big.
> If you use AS3, your mobile download won't be quite as big.
> If you use PhoneGap/Cordova you won't be working in AS, at least for now.
>
>
> On 2/14/13 11:41 PM, "Oliver Wiemer" <[hidden email]>
> wrote:
>
> > Wow. Great Message Alex.
> >
> > I have an new cross platform project.
> > So, i'm search for the best way.
> >
> > What do you think?
> > The best way at these moment is using starling?
> > Or what is your prefered way?
> >
> >
> > Am 14.02.13 18:10 schrieb "Alex Harui" unter <[hidden email]>:
> >
> >> ASC2.0 is a faster compiler, but I don't believe it produces
> >> significantly faster SWFs.  There was work on a new VM/Language/Compiler
> >> that was supposed to result in much faster SWFs but that work was
> >> recently cancelled.
> >>
> >> Apache Flex has pretty much all of the ASC2.0 code in the Falcon branch
> >> and we are adding MXML support and getting it ready to replace the
> legacy
> >> MXMLC compiler.  Adobe will not be adding MXML support to ASC2.0.
> >>
> >> Alex Harui
> >> Apache Flex Team
> >> http://blogs.adobe.com/aharui
> >>
> >>
> >>> -----Original Message-----
> >>> From: Oliver Wiemer [mailto:[hidden email]]
> >>> Sent: Thursday, February 14, 2013 2:40 AM
> >>> To: [hidden email]
> >>> Subject: Re: IOS AIR 3.6
> >>>
> >>> So,
> >>> i didn't the exact issues of ASC2. But i think there bring the needed
> >>> performance to mobile Apps.
> >>>
> >>>
> >>>
> >>> Am 14.02.13 11:23 schrieb "Simonas Pauliukevičius" unter
> >>> <[hidden email]>:
> >>>
> >>>> Well, Adobe donated their Falcon compiler with partial mxml support to
> >>>> Apache and then released ASC 2.0 which is also based on Falcon. So it
> >>>> seems
> >>>> that Adobe will only support Actionscript while Falcon with MXML
> >>> support
> >>>> is
> >>>> in hands of Flex developers.
> >>>>
> >>>> On Thu, Feb 14, 2013 at 12:07 PM, Oliver Wiemer <
> >>>> [hidden email]> wrote:
> >>>>
> >>>>> Oh thanks!
> >>>>>
> >>>>> did't you know whether ASC2 for mxmlc still follow?
> >>>>> Or is it still better, to work in future with pure as3 projects?
> >>>>>
> >>>>> regards Olli
> >>>>>
> >>>>>
> >>>>> Am 14.02.13 10:49 schrieb "Simonas Pauliukevičius" unter
> >>>>> <[hidden email]>:
> >>>>>
> >>>>>> ASC 2.0 can't compile MXML files and that's it. Use MXMLC for now.
> >>>>>>
> >>>>>> On Thu, Feb 14, 2013 at 11:12 AM, Oliver Wiemer <
> >>>>>> [hidden email]> wrote:
> >>>>>>
> >>>>>>> I'm very confused. Because compiling via command line works with
> >>>>> ASC2.
> >>>>>>> I test again.
> >>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>> Am 14.02.13 10:07 schrieb "Elena Geller" unter
> >>>>> <[hidden email]
> >>>>>> :
> >>>>>>>
> >>>>>>>> Interesting, if i change AIR version in XML... it have to be a
> >>>>> version
> >>>>>>>> without compiler... or not?
> >>>>>>>>
> >>>>>>>>
> >>>>>>>> 2013/2/14 Elena Geller <[hidden email]>
> >>>>>>>>
> >>>>>>>>> Really, they warned, the new complier is not for Flex. I can't
> >>>>>>> remember
> >>>>>>>>> although where i read it... but i read...
> >>>>>>>>>
> >>>>>>>>>
> >>>>>>>>> 2013/2/14 Oliver Wiemer <[hidden email]>
> >>>>>>>>>
> >>>>>>>>>> http://www.adobe.com/devnet/air/air-sdk-download.html
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> Now i see it.
> >>>>>>>>>> Note : Flex users will need to download the original AIR SDK
> >>>>> without
> >>>>>>>>>> the
> >>>>>>>>>> new compiler.
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> Where is the different?
> >>>>>>>>>> Flash can use the new compiler, Flex not?????
> >>>>>>>>>>
> >>>>>>>>>> i try it once more.
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> Am 14.02.13 09:37 schrieb "Oliver Wiemer" unter
> >>>>>>>>>> <[hidden email]>:
> >>>>>>>>>>
> >>>>>>>>>>> Yes you're right.
> >>>>>>>>>>> I use Mac.
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>> But i have not the time to search for a solution.
> >>>>>>>>>>> I think, i switch back and wait.
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>> Am 14.02.13 05:40 schrieb "Alex Harui" unter
> >>> <[hidden email]>:
> >>>>>>>>>>>
> >>>>>>>>>>>> If you are not using Flex, you may have to work with Adobe
> >>> to
> >>>>>>> address
> >>>>>>>>>>>> your
> >>>>>>>>>>>> problem.  I assume you are using a Mac?
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> On 2/13/13 5:08 PM, "Oliver Wiemer"
> >>>>>>> <[hidden email]
> >>>>>>>>
> >>>>>>>>>>>> wrote:
> >>>>>>>>>>>>
> >>>>>>>>>>>> Hi,
> >>>>>>>>>>>>
> >>>>>>>>>>>> did everyone develop IOS APPs with Flexbuilder 4.7 and AIR
> >>>>> 3.6?
> >>>>>>>>>>>>
> >>>>>>>>>>>> I patched the sdk and normal AIR Desktop Apps will run
> >>>>> perfect.
> >>>>>>>>>>>>
> >>>>>>>>>>>> the patched sdk is here: http://aaart.de/flex4.0.9-air3.6/
> >>>>>>>>>>>>
> >>>>>>>>>>>> but it is not possible to build IOS Apps.
> >>>>>>>>>>>>
> >>>>>>>>>>>> If i run the Build i become these error message:
> >>>>>>>>>>>> AIR for Apple iOS Support in Flash Builder is not
> >>> installed.
> >>>>>>>>>>>> To enable packaging support for Apple iOS follow these
> >>>>>>>>>> instructions.
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> I followed these instructions, but it doesn't works.
> >>>>>>>>>>>>
> >>>>>>>>>>>> I used the new ASC2 compiler, can these be the problem?
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> Greetings Olli
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> --
> >>>>>>>>>>>> Alex Harui
> >>>>>>>>>>>> Flex SDK Team
> >>>>>>>>>>>> Adobe Systems, Inc.
> >>>>>>>>>>>> http://blogs.adobe.com/aharui
> >>>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>>
> >>>>>>
> >>>>>>
> >>>>>> --
> >>>>>> Simonas Pauliukevičius, PS-5
> >>>>>> 865477654
> >>>>>
> >>>>>
> >>>>>
> >>>>
> >>>>
> >>>> --
> >>>> Simonas Pauliukevičius, PS-5
> >>>> 865477654
> >>>
> >>
> >
> >
>
> --
> Alex Harui
> Flex SDK Team
> Adobe Systems, Inc.
> http://blogs.adobe.com/aharui
>
>


--
Angelo Lazzari
mobile: 0039 347 0090 452
mail: [hidden email]


----------------------------
Verificate la corrispondenza del destinatario; in caso contrario vogliate
notificare ciò al mittente e, consci della responsabilita'per l'uso
indebito, cancellare il messaggio e sue copie / Verify the correspondence
of the addressee; otherwise, notify that to the sender and, conscious of
the responsibility for the undue use, destroy the message and its copies.
----------------------------